today I have updated a Valkyrie Crusade game with the latest version of 4.5.1, this game needs an android version Android 4.0+ to be able to play it.